---
title: "Change admin/moderator role"
url: "https://docs.signnow.com/docs/organization/operations/put-v2-organizations-org_id-admins-user_id"
type: "endpoint"
section: "organization"
slug: "organization/operations/put-v2-organizations-org_id-admins-user_id"
method: "PUT"
path: "/v2/organizations/{org_id}/admins/{user_id}"
operation_id: "put-v2-organizations-org_id-admins-user_id"
authorization: "bearer"
---

# Change admin/moderator role

`PUT /v2/organizations/{org_id}/admins/{user_id}`

Allows users to manage the admin or moderator role of another user.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the organization where the role is changed. |
| `user_id` | string | Yes | ID of the user whose role is changed. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "type"
  ],
  "properties": {
    "type": {
      "type": "string",
      "minLength": 1,
      "description": "The type of role that is assigned. Possible values: `moderator`, `admin`."
    }
  },
  "x-examples": {
    "example-1": {
      "type": "moderator | admin"
    }
  },
  "description": ""
}
```

**Example** (`application/json`)

```json
{
  "type": "moderator"
}
```

## Responses

### 204

Returns 204: Success, no content in case of successful response. Returns an error when:

* If moderator tries to add admin to org, "code": 12004007. Message: "Access denied."
* If user tries to add admin or moderator to the organization that is not active or does not exist, "code": 12001001. Message: "Organization `deXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` is not found."
* The `type` should be equal to `moderator` or admin., "code": 12004012. Message: "The `type` should be equal to `moderator` or admin."
* The `type` field is required, "code": 12004010. Message: "The `type` field is required."
* When moderator tries to change type for admin, "code": 12003003. Message: "Access denied for current administration role in your organization."

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/organizations/{org_id}/admins/{user_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"type": "moderator"}'
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/put-v2-organizations-org_id-admins-user_id*
